# <img src="extension/images/icon-128.png" width="45" align="left"> Notifier for Udacity Reviewer

> Notifier for Udacity Reviewer - Extension for modern browsers

---

:warning: **IMPORTANT NOTICE:** The Udacity Reviews API has been shut down. The `extension` no longer works. Thanks to everyone who contributed with code and ideas!

---

Displays projects for review.

<p align="center">
	<img src="https://raw.githubusercontent.com/brenopolanski/notifier-for-udacity-reviewer/master/demo1.png" />
	<img src="https://raw.githubusercontent.com/brenopolanski/notifier-for-udacity-reviewer/master/demo2.gif" />
</p>

## Desktop notifications

![demo3](https://raw.githubusercontent.com/brenopolanski/notifier-for-udacity-reviewer/master/demo3.png)

The extension checks for new notifications every minute, and displays notifications that arrived after the last check if there are any. Clicking on the notification opens it on [Udacity Dashboard](https://review.udacity.com/#!/submissions/dashboard).

### :heart: Found this project useful?

If you found this project useful, then please consider giving it a :star: on Github and sharing it with your friends via social media.

## Install

This browser extension available for:

| <a href="https://chrome.google.com/webstore/detail/notifier-for-udacity-revi/amopngmbcmcacbfgmbjdkhkjjojbodba"><img src="https://raw.github.com/alrra/browser-logos/master/src/chrome/chrome_48x48.png" alt="Chrome logo"></a> | <a href="#"><img src="https://raw.github.com/alrra/browser-logos/master/src/firefox/firefox_48x48.png" alt="Firefox logo"></a> | <a href="#"><img src="https://raw.github.com/alrra/browser-logos/master/src/opera/opera_48x48.png" alt="Opera logo"></a> | <a href="#"><img src="https://raw.github.com/alrra/browser-logos/master/src/safari/safari_48x48.png" alt="Safari logo"></a> |
|:---:|:---:|:---:|:---:|
| [Chrome](https://chrome.google.com/webstore/detail/notifier-for-udacity-revi/amopngmbcmcacbfgmbjdkhkjjojbodba) ✔ | Firefox ✘ | Opera ✘ | Safari ✘ |

## Testing

###### Chrome

1. Clone or [download](https://github.com/brenopolanski/notifier-for-udacity-reviewer/archive/master.zip) project;

2. Navigate to `chrome://extensions`

3. Click on `Load unpacked extension...`

4. Select the `extension` folder

## Languages for Review

* :cn: Chinese
* :us: English
* :brazil: Portuguese (pt-BR)

## Contributing

If you want to help, please read the [Contributing](https://github.com/brenopolanski/notifier-for-udacity-reviewer/blob/master/CONTRIBUTING.md) guide.

## History

For detailed changelog, see [Releases](https://github.com/brenopolanski/notifier-for-udacity-reviewer/releases).

## Team

This extension was made with love by these guys and a bunch of awesome [contributors](https://github.com/brenopolanski/notifier-for-udacity-reviewer/graphs/contributors).

| [![Adriel Café](https://avatars0.githubusercontent.com/u/2512298?v=3&s=70)](https://github.com/adrielcafe) | [![Breno Polanski](https://avatars1.githubusercontent.com/u/1894191?v=3&s=70)](https://github.com/brenopolanski) | [![Jeanderson B. Candido](https://avatars3.githubusercontent.com/u/2225536?v=3&s=70)](https://github.com/jeandersonbc) | [![Rafael Lima](https://avatars3.githubusercontent.com/u/7543763?v=3&s=70)](https://github.com/raafaelima) | [![Saulo S. Toledo](https://avatars2.githubusercontent.com/u/5031156?v=3&s=70)](https://github.com/saulotoledo) |
|---|---|---|---|---|
| [Adriel Café](https://github.com/adrielcafe) | [Breno Polanski](https://github.com/brenopolanski) | [Jeanderson B. Candido](https://github.com/jeandersonbc) | [Rafael Lima](https://github.com/raafaelima) | [Saulo S. Toledo](https://github.com/saulotoledo) |

## Credits

* [Udacity Reviews API](https://review.udacity.com/api-doc/index.html)
* [Iconfinder](https://www.iconfinder.com/icons/309036/education_student_study_icon)
* [KDE oxygen sounds](https://github.com/KDE/oxygen/tree/master/sounds)

## More Tools for Udacity Reviewers

- [Tips and Tricks for Udacity Reviewer](https://github.com/brenopolanski/tips-tricks-for-udacity-reviewer)
- [Get Udacity Projects](https://github.com/brenopolanski/get-udacity-projects)
- [urcli](https://github.com/trolster/urcli)

## Donations

Donations would be more than welcome :)

[![donate-paypal](https://raw.githubusercontent.com/brenopolanski/phaser-es6-starter/gh-assets/btn_donate_paypal.gif)](https://www.paypal.com/cgi-bin/webscr?cmd=_s-xclick&hosted_button_id=WNXA4YYGQCJZG)

## License

[MIT License](http://brenopolanski.mit-license.org/) © Breno Polanski
